<div mat-dialog-content>
  <p>please enter the new department name?</p>
  <mat-form-field>
    <mat-label>department name</mat-label>
    <input matInput [(ngModel)]="data.departmentName">
  </mat-form-field>
</div>
<div mat-dialog-actions>
  <button mat-raised-button (click)="onNoClick()">cancel</button>
  <button  type="submit" mat-raised-button [mat-dialog-close]="data.departmentName" cdkFocusInitial>Ok</button>
</div>